Freeciv-3.2: canvas Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
canvas Struct Reference

`#include <canvas.h>`

## Data Fields

cairo_surface_t * | surface
cairo_t * | drawable
float | zoom
QPixmap | map_pixmap
SDL_Surface * | surf

## Detailed Description

Definition at line 21 of file canvas.h.

## Field Documentation

## ◆ drawable

cairo_t * canvas::drawable

Definition at line 24 of file canvas.h.

Referenced by canvas_copy(), canvas_create(), canvas_put_curved_line(), canvas_put_line(), canvas_put_rectangle(), canvas_put_sprite(), canvas_put_text(), get_overview_window(), science_diagram_update(), science_diagram_update(), spaceship_image_canvas_draw(), and spaceship_image_canvas_expose().

## ◆ map_pixmap

QPixmap canvas::map_pixmap

Definition at line 25 of file canvas.h.

Referenced by city_map::city_map(), impr_item::impr_item(), impr_item::init_pix(), impr_item::leaveEvent(), choice_dialog::next_unit(), map_view::paint(), research_diagram::paintEvent(), choice_dialog::prev_unit(), qtg_canvas_copy(), qtg_canvas_create(), qtg_canvas_put_curved_line(), qtg_canvas_put_line(), qtg_canvas_put_rectangle(), qtg_canvas_put_sprite(), qtg_canvas_put_sprite_fogged(), qtg_canvas_put_sprite_full_scaled(), qtg_canvas_put_text(), research_diagram::reset(), minimap_thread::run(), mr_menu::save_image(), choice_dialog::set_layout(), city_map::set_pixmap(), help_widget::set_topic_extra(), help_widget::set_topic_terrain(), help_widget::set_topic_unit(), ss_report::ss_report(), terrain_canvas(), and ss_report::update_report().

## ◆ surf

SDL_Surface * canvas::surf

Definition at line 27 of file canvas.h.

Referenced by canvas_copy(), canvas_create(), canvas_fill_sprite_area(), canvas_free(), canvas_mapview_init(), canvas_put_line(), canvas_put_rectangle(), canvas_put_sprite(), canvas_put_sprite_fogged(), canvas_put_sprite_full(), canvas_put_text(), flush_mapcanvas(), get_terrain_surface(), picture_new_from_surface(), and picture_set_from_surface().

## ◆ surface

cairo_surface_t * canvas::surface

Definition at line 23 of file canvas.h.

Referenced by canvas_copy(), canvas_create(), canvas_free(), canvas_put_curved_line(), canvas_put_line(), canvas_put_rectangle(), canvas_put_sprite(), canvas_put_text(), city_dialog_update_map(), create_extra_pixbuf(), create_pixbuf_from_layers(), create_terrain_pixbuf(), get_overview_window(), gui_flush(), map_canvas_draw(), map_canvas_draw(), overview_canvas_draw(), overview_canvas_draw(), put_unit_image(), put_unit_image_city_overlays(), put_unit_picture(), put_unit_picture_city_overlays(), set_help_tile_from_extra(), set_help_tile_from_terrain(), usdlg_get_unit_image(), and usdlg_tab_append_utype().

## ◆ zoom

float canvas::zoom

Definition at line 25 of file canvas.h.

Referenced by calc_mapview_origin(), canvas_copy(), canvas_create(), canvas_put_rectangle(), canvas_put_sprite(), canvas_put_text(), canvas_set_zoom(), pixmap_put_overlay_tile(), pixmap_put_overlay_tile(), set_mapview_origin(), and set_mapview_scroll_pos().